> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get finality provider state information

> This endpoint returns information about a finality provider's state including active stake. Use this endpoint to retrieve historical state data for a specific finality provider.

Using this endpoint, you can query the historical daily stake balance of a finality provider by their unique `finality_provider` identifier/s. This identifier can be their Babylon address, BTC public key, or BTC address. The data is aggregated by finality provider across all of their respective delegators based on the latter's Babylon Genesis addresses.

You can use the `fromDate` and `toDate` parameters to query a range of days.


## OpenAPI

````yaml get /v1/babylon/finalityProviders/{finality_provider}/state
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/babylon/finalityProviders/{finality_provider}/state:
    get:
      tags:
        - Babylon Performance
      summary: Get finality provider state information
      description: >-
        This endpoint returns information about a finality provider's state
        including active stake. Use this endpoint to retrieve historical state
        data for a specific finality provider.
      operationId: >-
        get_finality_provider_stake_v1_babylon_finalityProviders__finality_provider__state_get
      parameters:
        - name: finality_provider
          in: path
          required: true
          schema:
            type: string
            title: Finality Provider
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            description: The number of results returned per page
            default: 10
            title: Limit
          description: The number of results returned per page
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            description: The number of results to skip before starting to return
            default: 0
            title: Offset
          description: The number of results to skip before starting to return
        - name: fromDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: Start date
            examples:
              - '2023-01-01'
            title: Fromdate
          description: Start date
        - name: toDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: End date
            examples:
              - '2023-12-31'
            title: Todate
          description: End date
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__85
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__85:
      properties:
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        pages:
          type: integer
          minimum: 0
          title: Pages
        results:
          items:
            properties:
              day:
                type: string
                format: date
                title: Day
              fromBabylonHeight:
                type: integer
                title: Frombabylonheight
              toBabylonHeight:
                type: integer
                title: Tobabylonheight
              fromBtcHeight:
                type: integer
                title: Frombtcheight
              toBtcHeight:
                type: integer
                title: Tobtcheight
              finalityProviderAddress:
                type: string
                title: Finalityprovideraddress
              finalityProviderBtcPubkey:
                type: string
                title: Finalityproviderbtcpubkey
              finalityProviderBtcAddress:
                type: string
                title: Finalityproviderbtcaddress
              activeStake:
                anyOf:
                  - type: number
                  - type: string
                title: Activestake
              totalDelegators:
                type: integer
                title: Totaldelegators
            type: object
            required:
              - day
              - fromBabylonHeight
              - toBabylonHeight
              - fromBtcHeight
              - toBtcHeight
              - finalityProviderAddress
              - finalityProviderBtcPubkey
              - finalityProviderBtcAddress
              - activeStake
              - totalDelegators
            title: BabylonFinalityProviderStake
            examples:
              - activeStake: 45236.52239464253
                day: '2025-01-21'
                finalityProviderAddress: bbn14q9h3m6fy9d66p6mzdksc55lq3ug7djdhxp0a0
                finalityProviderBtcAddress: bc1pk7stcynsc353zsxaww0jmdu30negz4ru4ljp56futaype28m46xq9hl7jw
                finalityProviderBtcPubkey: >-
                  b7a0bc1270c4691140dd739f2db7917cf281547cafe41a693c5f481ca8fbae8c
                fromBabylonHeight: 100001
                fromBtcHeight: 40000
                toBabylonHeight: 107701
                toBtcHeight: 40001
                totalDelegators: 1357
          type: array
          title: Results
      type: object
      required:
        - previous
        - next
        - pages
        - results
      title: PaginatedV1BabylonFinalityProviderStake
      examples:
        - next: >-
            https://api.rated.network//v1/babylon/finalityProviders/{finality_provider}/state?limit=10&offset=30
          pages: 10
          previous: >-
            https://api.rated.network//v1/babylon/finalityProviders/{finality_provider}/state?limit=10&offset=10
          results:
            - - activeStake: 45236.52239464253
                day: '2025-01-21'
                finalityProviderAddress: bbn14q9h3m6fy9d66p6mzdksc55lq3ug7djdhxp0a0
                finalityProviderBtcAddress: bc1pk7stcynsc353zsxaww0jmdu30negz4ru4ljp56futaype28m46xq9hl7jw
                finalityProviderBtcPubkey: >-
                  b7a0bc1270c4691140dd739f2db7917cf281547cafe41a693c5f481ca8fbae8c
                fromBabylonHeight: 100001
                fromBtcHeight: 40000
                toBabylonHeight: 107701
                toBtcHeight: 40001
                totalDelegators: 1357
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````